
/*---------------------------------------------------------------------------

    alarm.c -- sets a function to be called after a certain interval.

    Written By: S.E. Norris

    Usage:
       integer   len        ! length of time till alarm
       integer   alarm      ! function
       integer   remain     ! time remaining on alarm
       external  func       ! function called at alarm
       external alarm

       remain = alarm(len, func)

    $RCSfile: alarm.c,v $
    $Author: norris $
    $Revision: 1.3 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: alarm.c,v $
    Revision 1.3  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.2  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.1  1996/03/27  10:31:51  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <signal.h>
#include "libU77.h"

integer alarm_(integer *sec, integer (* proc)())
{
  long lt;

  lt = alarm(1000);

  if (*sec) {
    signal(SIGALRM, proc);
  }

  alarm(*sec);
  return (integer) lt;
}
