
/*---------------------------------------------------------------------------

    chmod.c -- set file access permissions.

    Written By: S.E. Norris

    Usage:
       integer   chmod  ! function
       character name   ! file name 
       character mode   ! file mode
       integer   ierr
       external  chmod

       ierr = chmod( name, mode)

    $RCSfile: chmod.c,v $
    $Author: norris $
    $Revision: 1.4 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: chmod.c,v $
    Revision 1.4  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.3  1996/04/01 06:37:39  norris
    Added sys/errno.h to the include list, for the HP's

    Revision 1.2  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.1  1996/03/27  08:57:06  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <sys/errno.h>
#include <sys/param.h>
#include <errno.h>
#include "libU77.h"

integer chmod_(char *name, char *mode, ftnlen namlen, ftnlen modlen)
{
  char nambuf[MAXPATHLEN];
  char modbuf[64];
  int  retcode;

  if (namlen >= sizeof nambuf || modlen >= sizeof modbuf) {
    return((integer) (errno=F_ERARG));
  }

  fcopyin(name, namlen, nambuf);
  fcopyin(mode, modlen, modbuf);
  if (nambuf[0] == '\0') {
    return((integer) (errno=ENOENT));
  }
  if (modbuf[0] == '\0') {
    return((integer) (errno=F_ERARG));
  }

  if (fork()) {
    if (wait(&retcode) == -1) {
      return((integer) errno);
    }
    return((integer) retcode);
  } else {
    execl("/bin/chmod", "chmod", modbuf, nambuf, (char *)0);
  }
}
