
/*---------------------------------------------------------------------------

    ctime.c -- converts an integer time value to an ASCII string.

    Written By: S.E. Norris.

    Usage:

      integer      intime ! time returned by the time() function
      character*24 cdate  ! variable of at least 24 characters.
      character*24 ctime  ! external function.
      integer      time
      external     ctime,time

      intime = time()
      cdate = ctime(intime) ! assigns current date and time values.

    $RCSfile: ctime.c,v $
    $Author: norris $
    $Revision: 1.8 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: ctime.c,v $
    Revision 1.8  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.7  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.6  1996/03/28  10:44:53  norris
    Changed to use time.h not sys/time.h

    Revision 1.5  1996/03/28  00:52:48  norris
    Fixed an error in the arguments passed into the routine.

    Revision 1.4  1996/03/28  00:31:30  norris
    Added a trailing underscore to the function name.

    Revision 1.3  1996/03/26  01:54:02  norris
    Changed the string copying to a utility function.

  ---------------------------------------------------------------------------*/

#include <time.h>
#include <sys/types.h>
#include <string.h>
#include "libU77.h"

subroutine ctime_(char *s, ftnlen len, integer *t)
{
  char *c;
  time_t tm;

  tm = (time_t) *t;
  c = ctime(&tm);

  c[24] = '\0';
  fcopyout(s, c, len);
}
