
/*--------------------------------------------------------------------------

    dsecnd() -- returns the elapsed user time since the last time 
                dtime was called

    Written By: S.E. Norris

    Usage:
      real time
      real dsecnd
      external dsecnd

      time = dsecnd()

    $RCSfile: dsecnd.c,v $
    $Author: norris $
    $Revision: 1.1 $
    $Date: 1996/03/29 08:09:31 $
 
    $Log: dsecnd.c,v $
    Revision 1.1  1996/03/29 08:09:31  norris
    Initial revision

  --------------------------------------------------------------------------*/

#include <sys/types.h>
#include <sys/times.h>
#include "libU77.h"

real dsecnd_()
{
  real dt;
  static int flag = 0;
  static real told, tnew;

  tnew = second_();
  if (flag == 0) {
    dt = tnew;
    flag = 1;
  } else {
    dt = tnew - told;
  }
  told = tnew;

  return dt;
}
