
/*---------------------------------------------------------------------------

    fdate.c -- returns the date as an ASCII string.

    Written By: S.E. Norris, acknowledgements to Ron Shepard

    Usage:

      character*24 date  ! variable of at least 24 characters.
      character*24 fdate ! external function.
      external     fdate

      date = fdate()     ! assigns current date and time values.

    or:

      character*24 date  ! variable of at least 24 characters.
      external fdate

      call fdate(date)   ! assigns current date and time values.

    $RCSfile: fdate.c,v $
    $Author: norris $
    $Revision: 1.7 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: fdate.c,v $
    Revision 1.7  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.6  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.5  1996/03/28  10:44:53  norris
    Changed to use time.h not sys/time.h

    Revision 1.4  1996/03/28  00:31:30  norris
    Added a trailing underscore to the function name.

    Revision 1.3  1996/03/26  01:54:02  norris
    Changed the string copying to a utility function.

  ---------------------------------------------------------------------------*/

#include <time.h>
#include <sys/types.h>
#include <string.h>
#include "libU77.h"

subroutine fdate_(char *s, ftnlen len)
{
  char *c;
  time_t t;

  t = time(0);
  c = ctime(&t);

  c[24] = '\0';
  fcopyout(s, c, len);
}
