
/*---------------------------------------------------------------------------

    getcwd.c -- return the current directory

    Written By: S.E. Norris

    Usage:
       character*128 path   ! name of directory
       integer   getcwd     ! function
       integer   ierr
       external  getcwd

       ierr = getcwd(name)

    $RCSfile: getcwd.c,v $
    $Author: norris $
    $Revision: 1.6 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: getcwd.c,v $
    Revision 1.6  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.5  1996/04/01 05:20:55  norris
    Revised cpp macros to switch between getwd() and getcwd().

    Revision 1.4  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.3  1996/03/28  09:18:59  norris
    Ported to POSIX/SunOS.

    Revision 1.2  1996/03/27 09:09:37  norris
    Returns the current working directory.

  ---------------------------------------------------------------------------*/

#include <sys/param.h>
#include <unistd.h>
#include "libU77.h"

extern int errno;

integer getcwd_(char *path, ftnlen len)
{
#ifdef _GETWD
  char *p;
  char cwd[MAXPATHLEN];

  p = getwd(cwd);
  fcopyout(path, cwd, len);
  if (p) {
    return (integer) 0;
  } else {
    return (integer) errno;
  }
#else
  char *cwd;
 
  if((cwd = getcwd(NULL,(size_t) MAXPATHLEN)) == NULL) {
     return (integer) errno;
  } else {
     fcopyout(path, cwd, len);
     free(cwd);
     return (integer) 0;
  }
#endif
}
