
/*---------------------------------------------------------------------------

    hostnm.c -- return machines name

    Written By: S.E. Norris

    Usage:
       character name   ! name of machine
       integer   hostnm ! function
       integer   ierr
       external  hostnm

       ierr = hostnm(name)

    $RCSfile: hostnm.c,v $
    $Author: norris $
    $Revision: 1.6 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: hostnm.c,v $
    Revision 1.6  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.5  1996/03/31 07:13:42  norris
    Now used cpp MACRO _UNAME to switch function used.

    Revision 1.4  1996/03/29  05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.3  1996/03/28  09:18:59  norris
    Ported to POSIX/SunOS.

    Revision 1.2  1996/03/27 09:27:51  norris
    Cleaned up the code.

  ---------------------------------------------------------------------------*/

extern int errno;

#include <sys/param.h>

#ifdef _UNAME
#include <sys/utsname.h>
#endif

#include "libU77.h"


integer hostnm_(char *name, ftnlen len)
{
#ifdef _UNAME
  struct utsname xlocal;

  if ( uname(&xlocal) >= 0 ) {
    fcopyout(name, xlocal.nodename, len);
    return (integer) 0;
  } else {
    return (integer) errno;
  }
#else
  char buf[64];
  int  blen = sizeof buf;

  if (gethostname (buf, blen) == 0) {
    fcopyout(name, buf, len);
    return (integer) 0;
  } else {
    return (integer) errno;
  }
#endif
}
