
/*---------------------------------------------------------------------------

    itime() -- returns the current time of day as an array of integers.

    Written By: S.E.Norris

    Usage:

       integer  hms(3)
       integer  hour,minute,second
       external itime

       call itime(hms)
       hour   = hms(1)
       minute = hms(2)
       second = hms(3)

    $RCSfile: itime.c,v $
    $Author: norris $
    $Revision: 1.5 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: itime.c,v $
    Revision 1.5  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.4  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.3  1996/03/28  10:44:53  norris
    Changed to use time.h not sys/time.h

    Revision 1.2  1996/03/28  00:31:30  norris
    Added a trailing underscore to the function name.

    Revision 1.1  1996/03/25  23:48:41  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <time.h>
#include <sys/types.h>
#include "libU77.h"

subroutine itime_(integer hms[3])
{
  time_t et;
  struct tm *timestruct;

  et = time(0);
  timestruct = localtime(&et);

  hms[0] = (integer) timestruct -> tm_hour;
  hms[1] = (integer) timestruct -> tm_min;
  hms[2] = (integer) timestruct -> tm_sec;
}


