
/*---------------------------------------------------------------------------

    kill() -- send a signal to a process

    Written By: S.E. Norris

    Usage:

       integer  ierr
       integer  pid
       integer  signal
       integer  kill
       external kill

       ierr = kill(pid,signal)
       if (ierr.eq.0) then
          ! process had the signal sent to it
       else
          ! error
       endif

    $RCSfile: kill.c,v $
    $Author: norris $
    $Revision: 1.4 $
    $Date: 1996/03/29 05:37:00 $
 
    $Log: kill.c,v $
    Revision 1.4  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.3  1996/03/28  00:52:14  norris
    Fixed a bug in the arguments passed in to kill.

    Revision 1.2  1996/03/28  00:31:30  norris
    Added a trailing underscore to the function name.

    Revision 1.1  1996/03/26  00:32:42  norris
    Initial revision

  ---------------------------------------------------------------------------*/

extern int errno;

#include <unistd.h>
#include <sys/types.h>
#include <signal.h>
#include "libU77.h"

integer kill_(integer *pid, integer *signal)
{
  if ((integer) kill((pid_t) *pid, (int) *signal) != 0) {
    return (integer) errno;
  } else {
    return (integer) 0;
  }
}
