
/*---------------------------------------------------------------------------

    link.c -- hard link two files together.

    Written By: S.E. Norris

    Usage:
       character name1  ! file name
       character name2  ! link name
       integer   link   ! function
       integer   ierr
       external  link

       ierr = link(name1, name2)

    $RCSfile: link.c,v $
    $Author: norris $
    $Revision: 1.3 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: link.c,v $
    Revision 1.3  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.2  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.1  1996/03/27  09:58:31  norris
    Initial revision

  ---------------------------------------------------------------------------*/

extern int errno;

#include <unistd.h>
#include <sys/param.h>
#include "libU77.h"

integer link_(char *name1, char *name2, ftnlen n1len, ftnlen n2len)
{
  char buf1[MAXPATHLEN];
  char buf2[MAXPATHLEN];

  if (n1len >= sizeof buf1 || n2len >= sizeof buf2) {
    return (integer) (errno=F_ERARG);
  }

  fcopyin(name1, n1len, buf1);
  fcopyin(name2, n2len, buf2);
  if (buf1[0] == '\0' || buf2[0] == '\0') {
    return (integer) (errno=F_ERARG);
  }
  if (link(buf1, buf2) != 0) {
    return (integer) errno;
  }
  return (integer) 0;
}
