
/*---------------------------------------------------------------------------

    mclock() -- returns the elapsed cpu time used by the process.

    Written By: S.E. Norris

    Usage:

      integer  itime
      integer  mclock
      external mclock

      itime = mclock()

    $RCSfile: mclock.c,v $
    $Author: norris $
    $Revision: 1.8 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: mclock.c,v $
    Revision 1.8  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.7  1996/03/31 23:55:32  norris
    Now uses clock() to get time info.

    Revision 1.6  1996/03/29  05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.5  1996/03/29  00:48:08  norris
    Removed references to the names.h names.

    Revision 1.4  1996/03/28  10:43:05  norris
    Changed so user time returned in seconds, and use time.h not sys/time.h

    Revision 1.3  1996/03/28  09:18:59  norris
    Ported to POSIX/SunOS.

    Revision 1.2  1996/03/28 00:31:30  norris
    Added a trailing underscore to the function name.

    Revision 1.1  1996/03/26  00:49:25  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <time.h>
#include "libU77.h"

integer mclock_()
{
  real t;

  return ((integer) (clock()));
}
