
/*---------------------------------------------------------------------------

    rename.c -- rename a file.

    Written By: S.E. Norris

    Usage:
       character name1  ! old file name
       character name2  ! new file name
       integer   rename ! function
       integer   ierr
       external  rename

       ierr = rename(name1, name2)

    $RCSfile: rename.c,v $
    $Author: norris $
    $Revision: 1.5 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: rename.c,v $
    Revision 1.5  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.4  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.3  1996/03/28  01:17:19  norris
    Fixed a stuff up in the RCS log entry.

    Revision 1.2  1996/03/28  00:51:43  norris
    Fixed an error in the names passed through to rename.

    Revision 1.1  1996/03/27  09:58:31  norris
    Initial revision

  ---------------------------------------------------------------------------*/

extern int errno;

#include <stdio.h>
#include <sys/param.h>
#include "libU77.h"

integer rename_(char *from, char *to, ftnlen frlen, ftnlen tolen)
{
  char frbuf[MAXPATHLEN];
  char tobuf[MAXPATHLEN];

  if (frlen <= 0 || tolen <= 0 || *from == ' ' || *to == ' ') {
    return (integer)(errno = F_ERARG);
  }
  if (frlen >= sizeof frbuf || tolen >= sizeof tobuf) {
    return (integer)(errno = F_ERARG);
  }

  fcopyin(from, frlen, frbuf);
  fcopyin(to, tolen, tobuf);
  if (rename (frbuf, tobuf) != 0) {
    return (integer) errno;
  }
  return (integer) 0;
}
