
/*---------------------------------------------------------------------------
    second() -- returns the elapsed cpu user time used by the process

    Written By: S.E. Norris

    Usage:

      real time
      real second
      external second

      time = second()

    $RCSfile: second.c,v $
    $Author: norris $
    $Revision: 1.4 $
    $Date: 1996/04/01 06:50:47 $
 
    $Log: second.c,v $
    Revision 1.4  1996/04/01 06:50:47  norris
    Added the sys/time.h file for the HP's.

    Revision 1.3  1996/04/01 06:38:10  norris
    Changed CLK_TIC to CLOCKS_PER_SEC, which is correct ANSI.

    Revision 1.2  1996/03/31 23:55:32  norris
    Cleaned up so _TIMES macro will switch between getrusage() and times().

    Revision 1.1  1996/03/29  08:09:31  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <sys/types.h>

#ifdef _TIMES
#include <sys/time.h>
#include <sys/times.h>
#include <limits.h>
#else
#include <time.h>
#endif
#include <sys/resource.h>
#include "libU77.h"

real second_()
{
  real t;
#ifdef _TIMES
  struct tms tm;

  times(&tm);
  t = (real) (tm.tms_utime + tm.tms_cutime) / (real) CLOCKS_PER_SEC;
#else
  struct rusage tm;
  float meg = 1000000.0;

  getrusage(RUSAGE_SELF, &tm);
  t = (real) (tm.ru_utime.tv_sec + (tm.ru_utime.tv_usec) / meg);
#endif

  return t;
}
