
/*---------------------------------------------------------------------------

    stat.c -- get file data.

    Written By: S.E. Norris

    Usage:
       integer   stat       ! function
       integer   array(12)  ! array containing file data
       character name       ! filename
       external stat
       integer ierr

       ierr = stat(name, array)

    $RCSfile: stat.c,v $
    $Author: norris $
    $Revision: 1.5 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: stat.c,v $
    Revision 1.5  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.4  1996/03/31 06:41:33  norris
    statb set to 0 if error.

    Revision 1.3  1996/03/29  05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.2  1996/03/28  01:17:19  norris
    Added a missing enrty to the stat array.

    Revision 1.1  1996/03/27  23:44:57  norris
    Initial revision

  ---------------------------------------------------------------------------*/

extern int errno;

#include <sys/param.h>
#include <sys/stat.h>
#include "libU77.h"

integer stat_(char *name, integer stbuf[13], ftnlen namlen)
{
  int i;
  char buf[MAXPATHLEN];
  struct stat statstruct;

  if (namlen >= sizeof buf) {
    for (i=0;i<13;i++) stbuf[i] = (integer) 0;
    return (integer) (errno=F_ERARG);
  }
	
  fcopyin(name, namlen, buf);
  if (stat(buf, &statstruct) == 0) {
    stbuf[0]  = (integer) statstruct.st_dev;
    stbuf[1]  = (integer) statstruct.st_ino;
    stbuf[2]  = (integer) statstruct.st_mode;
    stbuf[3]  = (integer) statstruct.st_nlink;
    stbuf[4]  = (integer) statstruct.st_uid;
    stbuf[5]  = (integer) statstruct.st_gid;
    stbuf[6]  = (integer) statstruct.st_rdev;
    stbuf[7]  = (integer) statstruct.st_size;
    stbuf[8]  = (integer) statstruct.st_atime;
    stbuf[9]  = (integer) statstruct.st_mtime;
    stbuf[10] = (integer) statstruct.st_ctime;
    stbuf[11] = (integer) statstruct.st_blksize;
    stbuf[12] = (integer) statstruct.st_blocks;
    return (integer) 0;
  }

  for (i=0;i<13;i++) stbuf[i] = (integer) 0;
  return (integer) errno;
}
